karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mwh <mark1...@gmail.com>
Subject Re: Karaf 4.0.3 - unable to start bundle ../activemq-osgi/5.13.0
Date Wed, 06 Jan 2016 14:21:24 GMT
we're building a custom Karaf distro using the karaf-maven-plugin. Here's the
plugin configuration.

..
 <configuration>
                    <archiveZip>true</archiveZip>
                    <archiveTarGz>true</archiveTarGz>

 
                    <installedFeatures>
                        <feature>wrapper</feature>
                    </installedFeatures>

                    <startupFeatures>
                        <feature>eventadmin</feature>
                    </startupFeatures>

                    <bootFeatures>
                        <feature>wrap</feature>
                        <feature>aries-blueprint</feature>
                        <feature>shell</feature>
                        <feature>shell-compat</feature>
                        <feature>feature</feature>
                        <feature>jaas</feature>
                        <feature>ssh</feature>
                        <feature>management</feature>
                        <feature>bundle</feature>
                        <feature>config</feature>
                        <feature>deployer</feature>
                        <feature>diagnostic</feature>
                        <feature>feature</feature>
                        <feature>instance</feature>
                        <feature>kar</feature>
                        <feature>log</feature>
                        <feature>package</feature>
                        <feature>service</feature>
                        <feature>system</feature>

                        
                        <feature>cxf</feature>

                        
                        <feature>camel</feature>
                        <feature>camel-blueprint</feature>
                        <feature>camel-jms</feature>
                        <feature>camel-jaxb</feature>
                        <feature>camel-netty4</feature>
                        <feature>camel-saxon</feature>
                        <feature>camel-cxf</feature>
                        <feature>camel-http4</feature>
                        <feature>camel-groovy</feature>
                        <feature>camel-script-groovy</feature>
                        <feature>camel-jackson</feature>
                        <feature>camel-stream</feature>
                        <feature>camel-mongodb</feature>

                        
                        <feature>jms</feature>
                        <feature>jndi</feature>
                        <feature>jdbc</feature>
                        <feature>jpa</feature>
                        <feature>spring</feature>
                        <feature>war</feature>
                        <feature>jms</feature>

                        <feature>activemq-camel</feature>

                    </bootFeatures>
</configuration>

I noticed you also installed the activemq-broker-noweb feature. is this a
dependency? we dont need the broker, just the activemq client



--
View this message in context: http://karaf.922171.n3.nabble.com/Karaf-4-0-3-unable-to-start-bundle-activemq-osgi-5-13-0-tp4044640p4044646.html
Sent from the Karaf - User mailing list archive at Nabble.com.

Mime
View raw message